package com.fs.store.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * 订单维度统计实体
 **/
@Data
public class OrderStatisticsVo implements Serializable {
    /**
     * 员工账号
     **/
    @Excel(name = "员工账号", sort = 1, width = 30)
    private String userName;
    /**
     * 员工名称
     **/
    @Excel(name = "员工名称", sort = 2, width = 20)
    private String nickName;

    /**
     * 企业名称
     **/
    @Excel(name = "企业名称", sort = 0, width = 20)
    private String companyName;

    /**
     * 商品名称
     **/
    private String productName;

    /**
     * 标签名称
     **/
    private String cateName;

    /**
     * 订单数
     **/
    private BigInteger orderNum;

    /**
     * 用户ID
     **/
    private Long userId;

    /**
     * 商品ID
     **/
    private Long productId;

    /**
     * 标签ID
     **/
    private Long cateId;

    /**
     * 总单数
     **/
    @Excel(name = "总单数", sort = 6, width = 20)
    private BigInteger totalNum;

    /**
     * 总金额
     **/
    @Excel(name = "总金额", sort = 7, width = 20)
    private BigDecimal totalPrice;

    /**
     * 成交单数
     **/
    @Excel(name = "成交单数", sort = 8, width = 20)
    private BigInteger dealNum;

    /**
     * 成交金额
     **/
    @Excel(name = "成交金额", sort = 9, width = 20)
    private BigDecimal dealPrice;

    /**
     * 取消单数
     **/
    @Excel(name = "取消单数", sort = 10, width = 20)
    private BigInteger cancelNum;

    /**
     * 取消金额
     **/
    @Excel(name = "取消金额", sort = 11, width = 20)
    private BigDecimal cancelPrice;

    /**
     * 待发货单数
     **/
    @Excel(name = "待发货单数", sort = 12, width = 20)
    private BigInteger pendingNum;

    /**
     * 待发货金额
     **/
    @Excel(name = "待发货金额", sort = 13, width = 20)
    private BigDecimal pendingPrice;

    /**
     * 发货单数
     **/
    @Excel(name = "发货单数", sort = 14, width = 20)
    private BigInteger invoiceNum;

    /**
     * 发货金额
     **/
    @Excel(name = "发货金额", sort = 15, width = 20)
    private BigDecimal invoicePrice;

    /**
     * 签收单数
     **/
    @Excel(name = "签收单数", sort = 14, width = 20)
    private BigInteger signForNum;

    /**
     * 签收金额
     **/
    @Excel(name = "签收金额", sort = 15, width = 20)
    private BigDecimal signFPrice;

    /**
     * 退单数
     **/
    @Excel(name = "退单数", sort = 16, width = 20)
    private BigInteger chargebackNum;

    /**
     * 退单金额
     **/
    @Excel(name = "退单金额", sort = 17, width = 20)
    private BigDecimal chargebackPrice;

    /**
     * 企业ID
     * **/
    private Long companyId;
}
